Runtime

## org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter
Class SortFilterElement

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter.SortFilterElement

public class SortFilterElement
extends java.lang.Object

Wrapper class for CompartmentList item's. Wraps the item along with a sort ordinal and an visibility flag.

Constructor Summary
`SortFilterElement(boolean visible, java.lang.Object data)` Constructor for the

Method Summary
`boolean` `equals(SortFilterElement other)` check if this filter equals the passed filter
`java.lang.Object` `getData()` Returns the view associated with this list compartment item.
`int` `hashCode()`
`boolean` `isVisible()` Returns `true` if the compartment item is not filtered.
`void` `setVisible(boolean visible)` Sets the visiblilty of this element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortFilterElement

    public SortFilterElement(boolean visible,
                             java.lang.Object data)

  Constructor for the

Parameters:
  `visible` - visible flag
  `data` - the data associated with the filter element

Method Detail

### isVisible

    public boolean isVisible()

  Returns `true` if the compartment item is not filtered.

  Returns:
    `true` if the compartment item is not filtered.

### setVisible

    public void setVisible(boolean visible)

  Sets the visiblilty of this element

  Parameters:
    `visible` -

### getData

    public java.lang.Object getData()

  Returns the view associated with this list compartment item.

  Returns:
    the view associated with this list compartment item.

### equals

    public boolean equals(SortFilterElement other)

  check if this filter equals the passed filter

  Parameters:
    `other` - the other filter to check againest
  Returns:
    `true` if thery are equal other wise `false`

### hashCode

    public int hashCode()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.